TestCaseImpl (xmlbeans API)

org.apache.xmlbeans.impl.xb.ltgfmt.impl

## Class TestCaseImpl

- java.lang.Object
- - org.apache.xmlbeans.impl.values.XmlObjectBase
  - - org.apache.xmlbeans.impl.values.XmlComplexContentImpl
    - - org.apache.xmlbeans.impl.xb.ltgfmt.impl.TestCaseImpl

- All Implemented Interfaces:
    Serializable, TypeStoreUser, TestCase, SimpleValue, XmlObject, XmlTokenSource

      public class TestCaseImpl
      extends XmlComplexContentImpl
      implements TestCase

  An XML test-case(@http://www.bea.com/2003/05/xmlbean/ltgfmt). This is a complex type.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TestCaseImpl.FilesImpl` An XML files(@http://www.bea.com/2003/05/xmlbean/ltgfmt).

    - ### Nested classes/interfaces inherited from interface org.apache.xmlbeans.impl.xb.ltgfmt.TestCase

      `TestCase.Files`

  - ### Field Summary

    - ### Fields inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

      `_voorVc, KIND_SETTERHELPER_ARRAYITEM, KIND_SETTERHELPER_SINGLETON, MAJOR_VERSION_NUMBER, MINOR_VERSION_NUMBER`

    - ### Fields inherited from interface org.apache.xmlbeans.impl.xb.ltgfmt.TestCase

      `Factory, type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TestCaseImpl(SchemaType sType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TestCase.Files` | `addNewFiles()` Appends and returns a new empty "files" element
    `String` | `getDescription()` Gets the "description" element
    `TestCase.Files` | `getFiles()` Gets the "files" element
    `String` | `getId()` Gets the "id" attribute
    `boolean` | `getModified()` Gets the "modified" attribute
    `String` | `getOrigin()` Gets the "origin" attribute
    `boolean` | `isSetDescription()` True if has "description" element
    `boolean` | `isSetId()` True if has "id" attribute
    `boolean` | `isSetModified()` True if has "modified" attribute
    `boolean` | `isSetOrigin()` True if has "origin" attribute
    `void` | `setDescription(String description)` Sets the "description" element
    `void` | `setFiles(TestCase.Files files)` Sets the "files" element
    `void` | `setId(String id)` Sets the "id" attribute
    `void` | `setModified(boolean modified)` Sets the "modified" attribute
    `void` | `setOrigin(String origin)` Sets the "origin" attribute
    `void` | `unsetDescription()` Unsets the "description" element
    `void` | `unsetId()` Unsets the "id" attribute
    `void` | `unsetModified()` Unsets the "modified" attribute
    `void` | `unsetOrigin()` Unsets the "origin" attribute
    `XmlString` | `xgetDescription()` Gets (as xml) the "description" element
    `XmlID` | `xgetId()` Gets (as xml) the "id" attribute
    `XmlBoolean` | `xgetModified()` Gets (as xml) the "modified" attribute
    `XmlToken` | `xgetOrigin()` Gets (as xml) the "origin" attribute
    `void` | `xsetDescription(XmlString description)` Sets (as xml) the "description" element
    `void` | `xsetId(XmlID id)` Sets (as xml) the "id" attribute
    `void` | `xsetModified(XmlBoolean modified)` Sets (as xml) the "modified" attribute
    `void` | `xsetOrigin(XmlToken origin)` Sets (as xml) the "origin" attribute

    - ### Methods inherited from class org.apache.xmlbeans.impl.values.XmlComplexContentImpl

      `arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, compute_text, equal_to, get_default_attribute_text, get_default_element_text, get_elementflags, is_child_element_order_sensitive, new_visitor, schemaType, set_nil, set_String, set_text, unionArraySetterHelper, unionArraySetterHelper, update_from_complex_content, value_hash_code`

    - ### Methods inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

      `_copy, _copy, _isComplexContent, _isComplexType, _set, _validateOnSet, attach_store, build_nil, build_text, changeType, check_dated, check_orphaned, compare_to, compareTo, compareValue, copy, copy, create_attribute_user, create_element_user, disconnect_store, documentProperties, dump, elementFlags, equals, execQuery, execQuery, generatedSetterHelperImpl, get_attribute_field, get_attribute_type, get_attributeflags, get_default_attribute_value, get_element_ending_delimiters, get_element_type, get_schema_type, get_store, get_wscanon_rule, get_wscanon_text, getBigDecimalValue, getBigIntegerValue, getBooleanArray, getBooleanArray, getBooleanValue, getByteArray, getByteArray, getByteArrayValue, getByteValue, getCalendarValue, getDateValue, getDomNode, getDoubleArray, getDoubleArray, getDoubleValue, getEnumArray, getEnumArray, getEnumValue, getFloatArray, getFloatArray, getFloatValue, getGDateValue, getGDurationValue, getIntArray, getIntArray, getIntValue, getListValue, getLongArray, getLongArray, getLongValue, getObjectArray, getObjectArray, getObjectValue, getQNameValue, getShortArray, getShortArray, getShortValue, getStringValue, getXmlLocale, getXmlObjectArray, getXmlObjectArray, has_store, hashCode, init_flags, initComplexType, instanceType, invalidate_element_order, invalidate_nilvalue, invalidate_value, is_defaultable_ws, is_orphaned, isDefault, isDefaultable, isFixed, isImmutable, isInstanceOf, isNil, isNillable, java_value, monitor, newCursor, newCursorForce, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set_b64, set_BigDecimal, set_BigInteger, set_boolean, set_byte, set_ByteArray, set_Calendar, set_char, set_ComplexXml, set_Date, set_double, set_enum, set_float, set_GDate, set_GDuration, set_hex, set_int, set_list, set_long, set_newValue, set_notation, set_QName, set_short, set_xmlanysimple, set, setBigDecimalValue, setBigIntegerValue, setBooleanValue, setByteArrayValue, setByteValue, setCalendarValue, setDateValue, setDoubleValue, setEnumValue, setFloatValue, setGDateValue, setGDateValue, setGDurationValue, setGDurationValue, setImmutable, setIntValue, setListValue, setLongValue, setNil, setObjectValue, setQNameValue, setShortValue, setStringValue, setValidateOnSet, substitute, toString, uses_invalidate_value, validate_now, validate_simpleval, validate, validate, valueEquals, valueHashCode, writeReplace, xgetArray, xgetArray, xgetListValue, xmlText, xmlText`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Constructor Detail

    - #### TestCaseImpl

          public TestCaseImpl(SchemaType sType)

  - ### Method Detail

    - #### getDescription

          public String getDescription()

      Gets the "description" element
      Specified by:
        `getDescription` in interface `TestCase`

    - #### xgetDescription

          public XmlString xgetDescription()

      Gets (as xml) the "description" element
      Specified by:
        `xgetDescription` in interface `TestCase`

    - #### isSetDescription

          public boolean isSetDescription()

      True if has "description" element
      Specified by:
        `isSetDescription` in interface `TestCase`

    - #### setDescription

          public void setDescription(String description)

      Sets the "description" element
      Specified by:
        `setDescription` in interface `TestCase`

    - #### xsetDescription

          public void xsetDescription(XmlString description)

      Sets (as xml) the "description" element
      Specified by:
        `xsetDescription` in interface `TestCase`

    - #### unsetDescription

          public void unsetDescription()

      Unsets the "description" element
      Specified by:
        `unsetDescription` in interface `TestCase`

    - #### getFiles

          public TestCase.Files getFiles()

      Gets the "files" element
      Specified by:
        `getFiles` in interface `TestCase`

    - #### setFiles

          public void setFiles(TestCase.Files files)

      Sets the "files" element
      Specified by:
        `setFiles` in interface `TestCase`

    - #### addNewFiles

          public TestCase.Files addNewFiles()

      Appends and returns a new empty "files" element
      Specified by:
        `addNewFiles` in interface `TestCase`

    - #### getId

          public String getId()

      Gets the "id" attribute
      Specified by:
        `getId` in interface `TestCase`

    - #### xgetId

          public XmlID xgetId()

      Gets (as xml) the "id" attribute
      Specified by:
        `xgetId` in interface `TestCase`

    - #### isSetId

          public boolean isSetId()

      True if has "id" attribute
      Specified by:
        `isSetId` in interface `TestCase`

    - #### setId

          public void setId(String id)

      Sets the "id" attribute
      Specified by:
        `setId` in interface `TestCase`

    - #### xsetId

          public void xsetId(XmlID id)

      Sets (as xml) the "id" attribute
      Specified by:
        `xsetId` in interface `TestCase`

    - #### unsetId

          public void unsetId()

      Unsets the "id" attribute
      Specified by:
        `unsetId` in interface `TestCase`

    - #### getOrigin

          public String getOrigin()

      Gets the "origin" attribute
      Specified by:
        `getOrigin` in interface `TestCase`

    - #### xgetOrigin

          public XmlToken xgetOrigin()

      Gets (as xml) the "origin" attribute
      Specified by:
        `xgetOrigin` in interface `TestCase`

    - #### isSetOrigin

          public boolean isSetOrigin()

      True if has "origin" attribute
      Specified by:
        `isSetOrigin` in interface `TestCase`

    - #### setOrigin

          public void setOrigin(String origin)

      Sets the "origin" attribute
      Specified by:
        `setOrigin` in interface `TestCase`

    - #### xsetOrigin

          public void xsetOrigin(XmlToken origin)

      Sets (as xml) the "origin" attribute
      Specified by:
        `xsetOrigin` in interface `TestCase`

    - #### unsetOrigin

          public void unsetOrigin()

      Unsets the "origin" attribute
      Specified by:
        `unsetOrigin` in interface `TestCase`

    - #### getModified

          public boolean getModified()

      Gets the "modified" attribute
      Specified by:
        `getModified` in interface `TestCase`

    - #### xgetModified

          public XmlBoolean xgetModified()

      Gets (as xml) the "modified" attribute
      Specified by:
        `xgetModified` in interface `TestCase`

    - #### isSetModified

          public boolean isSetModified()

      True if has "modified" attribute
      Specified by:
        `isSetModified` in interface `TestCase`

    - #### setModified

          public void setModified(boolean modified)

      Sets the "modified" attribute
      Specified by:
        `setModified` in interface `TestCase`

    - #### xsetModified

          public void xsetModified(XmlBoolean modified)

      Sets (as xml) the "modified" attribute
      Specified by:
        `xsetModified` in interface `TestCase`

    - #### unsetModified

          public void unsetModified()

      Unsets the "modified" attribute
      Specified by:
        `unsetModified` in interface `TestCase`